Bug 7677 - Our clamav build does not support pcre (needed for some signatures)
: Our clamav build does not support pcre (needed for some signatures)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-30 18:05 MSK by Giovanni Mariani
Modified: 2017-03-06 18:39 MSK (History)
2 users (show)

See Also:
RPM Package: clamav-0.99.2-2.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2017-01-30 18:05:01 MSK
Description of problem:
The release 0.99.1 introduced pcre use for signatures, but our build does not enable it.
This causes the warnings below in the logs:
********************
clamd[4572]: LibClamAV Warning: cli_loadldb: logical signature for Email.Trojan.Toa-5490801-0 uses PCREs but support is disabled. skipping
clamd[4572]: LibClamAV Warning: cli_loadldb: logical signature for Pdf.Exploit.CVE_2017_2948-5537635-0 uses PCREs but support is disabled. skipping
clamd[4572]: LibClamAV Warning: cli_loadldb: logical signature for Img.Exploit.CVE_2017_2966-5556275-1 uses PCREs but support is disabled. skipping
********************
(see also Mageia bug #17919).

Marking "major" because it disables a feature actually used by the virus scanner, so reducing the overall protection.

Version-Release number of selected component (if applicable):
0.99.2-2

How reproducible:
Always

Steps to Reproduce:
1. Install the clamav packages
2. Start clamav-clamd.service
3. Look at the system log for the above warnings (directly or using "systemctl status clamav-clamd")
Comment 1 Denis Silakov 2017-02-20 01:15:20 MSK
Advisory:

Rebuilt clamav with pcre support and fixed log rotation (see bug 7678)

Build lists:
https://abf.io/build_lists/2847024
https://abf.io/build_lists/2847025
Comment 2 Vladimir Potapov 2017-03-01 16:43:06 MSK
*** Bug 7679 has been marked as a duplicate of this bug. ***
Comment 3 Vladimir Potapov 2017-03-03 12:27:28 MSK
The update is sent to expanded testing
**************************************
Comment 4 Vladimir Potapov 2017-03-06 17:42:08 MSK
clamav-0.99.2-3
https://abf.io/build_lists/2847024
https://abf.io/build_lists/2847025
*************************** Advisory **************************
Rebuilt clamav with pcre support and fixed log rotation (see bug 7678)
***************************************************************
QA Verified